JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.webhooks.eventTypes();
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.webhooks.event_types()
print(response.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Webhooks.EventTypes(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
mobilerun-cloud webhooks event-types \
--api-key 'My API Key'curl --request GET \
--url https://api.mobilerun.ai/event-types \
--header 'Authorization: Bearer <token>'
{
"data": {
"schemaVersion": 1,
"sources": [
{
"source": "<string>",
"events": [
{
"type": "<string>",
"description": "<string>"
}
]
}
]
}
}Webhook Event Types
List subscribable event types per source
Returns the catalog of event types that webhook subscriptions can subscribe to, grouped by source. Use the returned type identifiers as the eventTypes values when creating or updating a webhook.
GET
/
event-types
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.webhooks.eventTypes();
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.webhooks.event_types()
print(response.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Webhooks.EventTypes(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
mobilerun-cloud webhooks event-types \
--api-key 'My API Key'Was this page helpful?
⌘I